Package org.apache.synapse.securevault.secret

## Class SecretCallbackHandlerFactory

- java.lang.Object
- - org.apache.synapse.securevault.secret.SecretCallbackHandlerFactory

-     public class SecretCallbackHandlerFactory
      extends Object

  Contains factory methods to create SecretCallbackHandler

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecretCallbackHandlerFactory()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecretCallbackHandler` | `createSecretCallbackHandler​(String provider)` | Creates a SecretCallbackHandler instance based on provided class
    `static SecretCallbackHandler` | `createSecretCallbackHandler​(Properties properties, String key)` | Creates a SecretCallbackHandler instance based on given properties At future , can extend this , if SecretCallbackHandler instance need some data in the initialization

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SecretCallbackHandlerFactory

          public SecretCallbackHandlerFactory()

  - ### Method Detail

    - #### createSecretCallbackHandler

          public static SecretCallbackHandler createSecretCallbackHandler​(Properties properties,
                                                                          String key)

      Creates a SecretCallbackHandler instance based on given properties At future , can extend this , if SecretCallbackHandler instance need some data in the initialization
      Parameters:
        `properties` - properties contains some information about how to create a SecretCallbackHandler
        `key` - use for getting related properties out of all properties
      Returns:
        SecretCallbackHandler instance

    - #### createSecretCallbackHandler

          public static SecretCallbackHandler createSecretCallbackHandler​(String provider)

      Creates a SecretCallbackHandler instance based on provided class
      Parameters:
        `provider` - provider class name
      Returns:
        SecretCallbackHandler instance